Subject: bug#31739: 25.2; Cannot expire articles in virtual group

From: Jamie Forth <[email-masked]>
Date: Mon, 7 Oct 2019 16:18:13 +0000

Lars Ingebrigtsen <[email-masked]> writes:

> For my test group, I get:
>
> (assq 'expire (gnus-info-marks (gnus-get-info "nnvirtual:imap-test")))
> => (expire 392790 394237)
>
> You get nil for yours?

Yes unfortunately.

(gnus-info-marks (gnus-get-info "nnvirtual:vgtest")

=> ((unexist (1 . 34) (37 . 40)) (seen (22 . 40)))

As a sanity check I just tried recreating the group with `emacs -Q` and
the following gnus config.

(setq gnus-select-method '(nntp "news.gmane.org"))

(add-to-list
 'gnus-secondary-select-methods
 '(nnimap "gold"
          (nnimap-stream shell)
          (nnimap-shell-program
           "/usr/lib/dovecot/imap -c ~/.config/dovecot/gold.conf 2> /dev/null")))

Then G V, then M-e with: (nnvirtual "^nnimap\\+gold:Junk Email$")

Marking some articles E, but same result!

> I've looked through the code for something special being done with the
> expirable marks, and I can't find anything that's nixing out those in
> particular.  But I may be looking in the wrong parts of the code...

Thanks for looking!

--
Jamie